summaryrefslogtreecommitdiff
path: root/hooks/pre-commit
diff options
context:
space:
mode:
authorAlejandro Soto <alejandro@34project.org>2024-08-07 19:01:27 -0600
committerAlejandro Soto <alejandro@34project.org>2024-08-07 19:03:18 -0600
commitda84be8c451308bbad0a70592bdcb0abd975f060 (patch)
tree1bc520803112252bae53b5de802c7cee7b62c92a /hooks/pre-commit
parentbcf936e19f78fc69572f0b748e83783899a55467 (diff)
sys/ns: implement automatic zone serial updates with a pre-commit hook
Diffstat (limited to 'hooks/pre-commit')
-rwxr-xr-xhooks/pre-commit8
1 files changed, 8 insertions, 0 deletions
diff --git a/hooks/pre-commit b/hooks/pre-commit
new file mode 100755
index 0000000..93e9b9a
--- /dev/null
+++ b/hooks/pre-commit
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -e
+exec >&2
+
+if git diff-index --cached HEAD -- | grep -q $'\tsys/ns/'; then
+ exec hooks/lib/update-zone-serials
+fi